<?php
function TraceWatchCode_site($target) {
	$target .= TraceWatchCode();
	return $target;
}

function TraceWatchCode_feed() {
	global $configVal;
	$data = Setting::fetchConfigVal($configVal);
	if($data['code_type'] != 'javascript') print TraceWatchCode();
}

function TraceWatchCode() {
	global $configVal;
	$data = Setting::fetchConfigVal($configVal);
	
	if(!isset($data['ready']) || !$data['ready']) return;
	
	$websiteID = empty($data['website_id']) ? 'default' : $data['website_id'];	// 누리집 식별 이름
	$cookie = isset($data['cookie']) ? $data['cookie'] : false;					// 브라우저에 추적 쿠키 담기
	$pageParams = isset($data['pageParams']) ? $data['pageParams'] : true;	// 페이지 매개변수 넣기
	$logErrors = isset($data['logErrors']) ? $data['logErrors'] : true;		// 오류 기록하기
	if(!isset($data['showErrors'])) $data['showErrors']='none';
	if(!isset($data['code_type'])) $data['code_type']='PHP';
	if(!isset($data['remote_twatch_domain']))	$data['remote_twatch_domain'] = 'http://';
	

	switch($data['showErrors']) {
		case 'none' :			// 오류를 알리지 않음
			$showErrors = false;
			$mutedErrors = false;
			break;
		case 'simple' :			// 오류가 난 것만 알림
			$showErrors = true;
			$mutedErrors = false;
			break;
		case 'detail' :			// 오류를 자세히 알림
			$showErrors = true;
			$mutedErrors = true;
	}

	$relative_path = preg_replace('/\/[^/]*\.php$/i', '', $_SERVER['PHP_SELF']);
	$root_path = str_replace($relative_path, '', ROOT).'/';

	switch($data['code_type']) {
		case 'PHP':
			if(!empty($data['twatchProfile'])) $GLOBALS['twatchProfile'] = $data['twatchProfile'];
			include_once $root_path.$data['twatch_path'].'/api/LogRequest.php';
			twatchLogRequest($cookie, $websiteID, $logErrors, $showErrors, $mutedErrors, $pageParams);
			break;
		case 'remotePHP':
			if(!empty($data['twatchProfile'])) $GLOBALS['twatchProfile'] = $data['twatchProfile'];
			$address = $data['remote_twatch_domain'].$data['twatch_path'].'/remote/remote_logger.php';
			include_once $root_path.$data['remote_request_path'].'/RemoteLogRequest.php';
			twatchRemoteLogRequest($address, $cookie, $websiteID, $pageParams);
			break;
		case 'javascript':
			$code = CRLF.'<script type="text/javascript"><!--
	twatchData = "page="+encodeURIComponent( window.location );
	if( typeof document.referrer != "undefined" && document.referrer != "" ) {
		twatchData += "&ref="+encodeURIComponent( document.referrer );
	}
	twatchData += "&twatch_profile="+encodeURIComponent( "'.$data['twatchProfile'].'" );
	twatchData += "&website_id="+encodeURIComponent( "'.$websiteID.'" );
	twatchData += "&strip_page_params='.($pageParams ? 'false' : 'true').'";
	twatchData += "&no_cookies='.($cookie ? 'false' : 'true').'";
	if(typeof screen.width != "undefined") {
		twatchData += "&resolution="+screen.width+"x"+screen.height;
	}
	document.write("<scr"+"ipt type=\"text/javascript\" "+
	"src=\"'.$data['remote_twatch_domain'].$data['twatch_path'].'/remote/js_logger.php?"+twatchData+"\">"+
	"</scr"+"ipt>");
//--></script>';
			return $code;
	}

	return CRLF.'<!-- TraceWatch log completed. -->'.CRLF;
}

function TraceWatch_DataSet($data) {
	$cfg = Setting::fetchConfigVal($data);
	return true;
}

?>